Page MenuHomePhabricator

Use EditorWidget for edit post
Closed, ResolvedPublic

Description

The summary editor and the topic/post content editor (i.e. not creating new topics/replies, but editing existing ones) come to mind. We should also audit to make sure the old editor code is unused, and then remove it.

Edit post: https://gerrit.wikimedia.org/r/234603

Topic summary: was extracted into T111102: Use EditorWidget for topic summary

Event Timeline

Catrope created this task.Aug 13 2015, 8:53 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 8:53 PM

For testing - to check after the fix:

  • different wikitext icons for 'Reply' and 'Edit reply'

Catrope triaged this task as High priority.Aug 19 2015, 11:27 PM
DannyH set Security to None.
Catrope removed Catrope as the assignee of this task.

Change 234423 had a related patch set uploaded (by Mattflaschen):
Initial refactoring to create ContentWidget

https://gerrit.wikimedia.org/r/234423

Jay8g added a subscriber: Jay8g.Aug 27 2015, 10:28 PM

Change 234603 had a related patch set uploaded (by Sbisson):
[WIP] Edit post widget

https://gerrit.wikimedia.org/r/234603

SBisson updated the task description. (Show Details)Sep 1 2015, 1:59 PM

Change 234603 merged by jenkins-bot:
Edit post widget

https://gerrit.wikimedia.org/r/234603

SBisson renamed this task from Port remaining editor uses to EditorWidget to Use EditorWidget for edit post.
SBisson updated the task description. (Show Details)

Checked in beta - edit/new reply posts are ok:

DannyH closed this task as Resolved.Sep 2 2015, 10:43 PM
DannyH added a subscriber: DannyH.

Change 234423 merged by jenkins-bot:
Refactor CAPTCHA support into data model and widget

https://gerrit.wikimedia.org/r/234423